#!/bin/sh

case "$1" in
    start)
#%#        #### Wait for mysql server to start.
#%#        MAX_WAIT=120
#%#        echo "Zabbix_server init - will wait ${MAX_WAIT}s for __VER__ to start."
#%#        while [ ! -e __PREFIX__/var/run/__VER__/mysqld.sock ]; do
#%#            if [ ${MAX_WAIT} -le 0 ]; then
#%#                echo "Tired of waiting. Try again after starting __VER__."
#%#                exit 1
#%#            fi
#%#            sleep 5
#%#            let MAX_WAIT=MAX_WAIT-5
#%#            echo .
#%#        done
#%#        echo "SQL server online; starting zabbix_server."
        sudo -u zabbix __PREFIX__/sbin/zabbix/zabbix_server \
             -c __PREFIX__/etc/zabbix/zabbix_server.conf
        ;;

    stop)
        echo "Shutting down zabbix_server"
        pid=`ps -U zabbix | grep 'zabbix_server[^:]' | awk '{print $1}'`
        /bin/kill $pid
        MAX_WAIT=10
        while [ `netstat -an | grep -q '\.10051. *LISTEN' && echo 1 || echo 0` \
                == "1" ]; do
            if [ ${MAX_WAIT} -le 0 ]; then
                echo "Warning: a process is still using port 10051??"
                exit 1
            fi
            sleep 5
            let MAX_WAIT=MAX_WAIT-5
        done
        rm /tmp/zabbix_server.pid
        ;;
    restart)
        $0 stop
        $0 start
        ;;
    status)
        /bin/ps -ax |/usr/bin/grep zabbix_server
        ;;
        *)
        echo "Usage: $0 {start|stop|restart|status}"
        exit 1
esac

